<!--
 * @Author: hua
 * @Date: 2019-05-20 08:56:36
 * @LastEditors: hua
 * @LastEditTime: 2019-05-20 08:58:43
 -->
{% extends "fladmin/public/base.html" %}
{% block title %}内链关键词添加{% endblock %}

{% block content %}
<h5 class="sub-header"><a href="{{'CMS_BASEHOST'|sysconfig}}/fladmin/keyword/index">内链关键词列表</a> > 内链关键词添加</h5>

<form id="addarc" method="post" action="{{'CMS_BASEHOST'|sysconfig}}/fladmin/keyword/add" role="form" enctype="multipart/form-data" class="table-responsive">
<table class="table table-striped table-bordered">
<tbody>
    <tr>
        <td align="right"><font color="red">*</font>内链关键词：</td>
        <td><input name="name" type="text" id="name" value="" class="required" style="width:30%" placeholder="在此输入关键词"></td>
    </tr>
    <tr>
        <td align="right"><font color="red">*</font>链接网址：</td>
        <td><input name="url" type="text" id="url" value="http://" style="width:60%" class="required"> (请用绝对地址)</td>
    </tr>
    <tr>
        <td colspan="2"><button type="submit" class="btn btn-success" value="Submit">保存(Submit)</button>&nbsp;&nbsp;<button type="reset" class="btn btn-default" value="Reset">重置(Reset)</button><input type="hidden"></input></td>
    </tr>
</tbody></table></form><!-- 表单结束 -->

<script>
$(function(){
    $(".required").blur(function(){
        var $parent = $(this).parent();
        $parent.find(".formtips").remove();
        if(this.value=="")
        {
            $parent.append(' <small class="formtips onError"><font color="red">不能为空！</font></small>');
        }
        else
        {
            $parent.append(' <small class="formtips onSuccess"><font color="green">OK</font></small>');
        }
    });

    //重置
    $('#addarc input[type="reset"]').click(function(){
            $(".formtips").remove(); 
    });

    $("#addarc").submit(function(){
        $(".required").trigger('blur');
        var numError = $('#addarc .onError').length;
        
        if(numError){return false;}
    });
});
</script>
{% endblock %}